Get matrix user view
curl --request GET \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/view/{matrixId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/matrix/v1/matrix/view/{matrixId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/matrix/v1/matrix/view/{matrixId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"id": "62909f2b-594a-433f-a752-a22a439fd6de",
"matrixId": "c8e0b94a-3309-4e15-90c9-b8db44764263",
"userId": "2797187e-61d6-43d8-a775-cf9cd182c52b",
"viewData": {},
"createdOn": "2026-01-08T06:33:22.378Z",
"updatedOn": "2026-01-08T06:33:22.378Z"
}
}Matrices
Get matrix user view
GET
/
v1
/
matrix
/
view
/
{matrixId}
Get matrix user view
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Matrix view retrieved successfully
Was this page helpful?
āI